#
# Conditional build:
%bcond_without	apidocs	# API documentation

Summary:	gtranslator - a comfortable po file editor with many bells and whistles
Summary(pl.UTF-8):	gtranslator - wygodny edytor plików po z różnymi wodotryskami
Name:		gtranslator
Version:	46.1
Release:	1
Epoch:		1
License:	GPL v3+
Group:		Development/Tools
Source0:	https://download.gnome.org/sources/gtranslator/46/%{name}-%{version}.tar.xz
# Source0-md5:	87a2f179182e9ae95f43c10863876935
Patch0:		%{name}-gtk-doc.patch
URL:		https://wiki.gnome.org/Apps/Gtranslator
BuildRequires:	docbook-dtd412-xml
# libgettextpo
BuildRequires:	gettext-devel
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.71.3
BuildRequires:	gsettings-desktop-schemas-devel
BuildRequires:	gspell-devel >= 1.2.0
BuildRequires:	gtk4-devel >= 4.12.0
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.28}
BuildRequires:	gtksourceview5-devel >= 5.4.0
BuildRequires:	itstool
BuildRequires:	json-glib-devel >= 1.2.0
BuildRequires:	libadwaita-devel >= 1.5
BuildRequires:	libgda6-devel >= 6.0
BuildRequires:	libsoup3-devel >= 3.0
BuildRequires:	libspelling-devel
BuildRequires:	libxml2-devel >= 2.4.12
BuildRequires:	meson >= 0.59.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires(post,postun):	gtk-update-icon-cache
Requires:	glib2 >= 1:2.71.3
Requires:	gspell >= 1.2.0
Requires:	gtk4 >= 4.12.0
Requires:	gtksourceview5 >= 5.4.0
Requires:	hicolor-icon-theme
Requires:	json-glib >= 1.2.0
Requires:	libadwaita >= 1.5
Requires:	libxml2 >= 2.4.12
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gtranslator is a comfortable po file editor with many bells and
whistles. It features many useful function which ease the work of
translators of po files immenantly.

%description -l pl.UTF-8
gtranslator jest wygodnym edytorem plików po z wieloma wodotryskami.
Dostarcza dużo użytecznych funkcji ułatwiających pracę przy
tłumaczeniach plików po.

%package devel
Summary:	Header file for gtranslator plugins development
Summary(pl.UTF-8):	Plik nagłówkowy do tworzenia wtyczek edytora gtranslator
Group:		Development/Tools
Requires:	glib2-devel >= 1:2.71.3
BuildArch:	noarch

%description devel
Header file for gtranslator plugins development.

%description devel -l pl.UTF-8
Plik nagłówkowy do tworzenia wtyczek edytora gtranslator.

%package apidocs
Summary:	API documentation for gtranslator
Summary(pl.UTF-8):	Dokumentacja API gtranslatora
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for gtranslator.

%description apidocs -l pl.UTF-8
Dokumentacja API gtranslatora.

%prep
%setup -q
%patch0 -p1

%build
%meson build \
	%{?with_apidocs:-Dgtk_doc=true}

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

# not supported by glibc (as of 2.38)
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/ie

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS MAINTAINERS NEWS README.md THANKS
%attr(755,root,root) %{_bindir}/gtranslator
%{_datadir}/%{name}
%{_datadir}/glib-2.0/schemas/org.gnome.Gtranslator.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gtranslator.plugins.translation-memory.gschema.xml
%{_datadir}/gtksourceview-5/language-specs/gtranslator.lang
%{_datadir}/metainfo/org.gnome.Gtranslator.appdata.xml
%{_desktopdir}/org.gnome.Gtranslator.desktop
%{_iconsdir}/hicolor/scalable/apps/org.gnome.Gtranslator.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.Gtranslator-symbolic.svg
%{_mandir}/man1/gtranslator.1*

%files devel
%defattr(644,root,root,755)
%{_includedir}/gtr-marshal.h

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gtranslator
%endif
%changelog
* Sat May 18 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gtranslator.git;a=log;h=master

* Sat May 18 2024 Jakub Bogusz <qboosh@pld-linux.org> be65918
- updated to 46.1

* Sun Dec 03 2023 Jakub Bogusz <qboosh@pld-linux.org> b15b9b9
- drop ie locale, release 2

* Sat Dec 02 2023 Jakub Bogusz <qboosh@pld-linux.org> c9e7d75
- updated to 45.3

* Thu Apr 14 2022 Jakub Bogusz <qboosh@pld-linux.org> 1dd1c4a
- updated to 42.0

* Sat Feb 19 2022 Jakub Bogusz <qboosh@pld-linux.org> d135a2e
- updated to 41.0

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 22502d3
- rebuild with separate debuginfo build-ids

* Sun Apr 04 2021 Jakub Bogusz <qboosh@pld-linux.org> e8885f8
- updated to 40.0
- removed obsolete doc patch

* Fri Sep 18 2020 Jakub Bogusz <qboosh@pld-linux.org> 87070cc
- updated to 3.38.0
- added doc patch (adjust gtk-doc build)

* Mon Apr 27 2020 Jakub Bogusz <qboosh@pld-linux.org> 86a9df1
- updated to 3.36.0

* Thu Oct 17 2019 Jakub Bogusz <qboosh@pld-linux.org> c883c39
- updated to 3.34.0

* Wed Sep 04 2019 Jakub Bogusz <qboosh@pld-linux.org> ea21576
- updated to 3.32.1
- removed outdated pc patch, there is no .pc file now

* Sun Jul 30 2017 Jakub Bogusz <qboosh@pld-linux.org> 86267ea
- updated to 2.91.7
- removed obsolete gtkspell3 patch
- added pc patch (update dependencies in .pc file)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> a8988a4
- updated gettext BR

* Sun Jun 30 2013 Lukasz Glebicki <blekot@pld-linux.org> 25578cc
- added gtranslator-gtkspell3.patch from opensuse to build with
  gtkselll3
- added devel package
- rel 1
- cleanup

* Sun Jun 23 2013 Lukasz Glebicki <blekot@pld-linux.org> 5a6259f
- starting update to 2.91.6
- added TODO
- NFY

* Mon Feb 07 2011 sparky <sparky@pld-linux.org> 100abf0
- unified preamble in %changelog

* Fri Feb 04 2011 Artur Frysiak <artur@frysiak.net> 5e1e396
- Requires(post,postun): gtk-update-icon-cache

* Fri Feb 12 2010 sparky <sparky@pld-linux.org> 1f4e815
- BR: db-devel, docbook-dtd412-xml, gnome-doc-utils, gtk-doc,
  gtksourceview2-devel
- WARNING: does not build without network because of missing:
  http://scrollkeeper.sourceforge.net/dtds/scrollkeeper-omf-1.0/scrollkeeper-omf.dtd

* Fri Feb 12 2010 Patryk Zawadzki <patrys@room-303.com> 2ab3cf1
- 1.9.8
- TODO: -devel and -apidocs packages

* Fri Mar 21 2008 Szymon Siwek <sls@pld-linux.org> d5f7799
- added rarian.patch

